<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>

<body>
  <button onclick="runWebWorker()">Start Worker</button>
  <script>
    console.log("Worker SCRIOT!!!!");
    let worker;
    function runWebWorker() {
      console.log("Worker function");
      if (typeof Worker !== "undefined")
        if (typeof worker === "undefined") {
          console.log("Worker start");
          worker = new Worker("./playground.js");
          worker.onmessage = (e) => {
            console.log(e.data);
            if (e.data === 100000) stopWorker(worker);
          };
        }
    }

    function stopWorker(worker) {
      worker.terminate();
    }

    
  </script>
</body>

</html>